From ee89c803b2b7547979085ce4ecfa1c4a9d7e269c Mon Sep 17 00:00:00 2001
From: thisirs <thisirs@gmail.com>
Date: Wed, 20 Jun 2012 14:29:30 +0200
Subject: [PATCH] Refiling: Fix targets when using 'full-file-path

* lisp/org.el: (org-refile-get-targets): Fix targets when using
  'full-file-path.

When `org-refile-use-outline-path' is set to 'full-file-path the file
target is no longer accessible.

TINYCHANGE
---
 lisp/org.el |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lisp/org.el b/lisp/org.el
index b89889d..0b4812f 100644
--- a/lisp/org.el
+++ b/lisp/org.el
@@ -10556,7 +10556,8 @@ on the system \"/user@host:\"."
 					(buffer-base-buffer f))))
 	       (setq f (and f (expand-file-name f)))
 	       (if (eq org-refile-use-outline-path 'file)
-		   (push (list (file-name-nondirectory f) f nil nil) tgs))
+		   (push (list (file-name-nondirectory f) f nil nil) tgs)
+		 (push (list (org-protect-slash f) f nil nil) tgs))
 	       (save-excursion
 		 (save-restriction
 		   (widen)
-- 
1.7.9.4

